BytecodeInterface8 (Groovy 3.0.9)

Package org.codehaus.groovy.runtime

## Class BytecodeInterface8

- java.lang.Object
- - org.codehaus.groovy.runtime.BytecodeInterface8

-     public class BytecodeInterface8
      extends Object

  This class contains methods special to optimizations used directly from bytecode in Groovy 1.8

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BytecodeInterface8()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static byte` | `bArrayGet​(byte[] a, int i)` | get value from byte[] using normalized index
    `static void` | `bArraySet​(byte[] a, int i, byte v)` | set value from byte[] using normalized index
    `static char` | `cArrayGet​(char[] a, int i)` | get value from char[] using normalized index
    `static void` | `cArraySet​(char[] a, int i, char v)` | set value from char[] using normalized index
    `static double` | `dArrayGet​(double[] a, int i)` | get value from double[] using normalized index
    `static void` | `dArraySet​(double[] a, int i, double v)` | set value from double[] using normalized index
    `static boolean` | `disabledStandardMetaClass()` |
    `static float` | `fArrayGet​(float[] a, int i)` | get value from float[] using normalized index
    `static void` | `fArraySet​(float[] a, int i, float v)` | set value from float[] using normalized index
    `static int` | `intArrayGet​(int[] a, int i)` | get value from int[] using normalized index
    `static void` | `intArraySet​(int[] a, int i, int v)` | set value from int[] using normalized index
    `static boolean` | `isOrigB()` |
    `static boolean` | `isOrigBArray()` |
    `static boolean` | `isOrigC()` |
    `static boolean` | `isOrigCArray()` |
    `static boolean` | `isOrigD()` |
    `static boolean` | `isOrigDArray()` |
    `static boolean` | `isOrigF()` |
    `static boolean` | `isOrigFArray()` |
    `static boolean` | `isOrigInt()` |
    `static boolean` | `isOrigIntArray()` |
    `static boolean` | `isOrigL()` |
    `static boolean` | `isOrigLArray()` |
    `static boolean` | `isOrigS()` |
    `static boolean` | `isOrigSArray()` |
    `static boolean` | `isOrigZ()` |
    `static boolean` | `isOrigZArray()` |
    `static long` | `lArrayGet​(long[] a, int i)` | get value from long[] using normalized index
    `static void` | `lArraySet​(long[] a, int i, long v)` | set value from long[] using normalized index
    `static Object` | `objectArrayGet​(Object[] a, int i)` |
    `static void` | `objectArraySet​(Object[] a, int i, Object v)` | set value from double[] using normalized index
    `static short` | `sArrayGet​(short[] a, int i)` | get value from short[] using normalized index
    `static void` | `sArraySet​(short[] a, int i, short v)` | set value from short[] using normalized index
    `static boolean` | `zArrayGet​(boolean[] a, int i)` | get value from boolean[] using normalized index
    `static void` | `zArraySet​(boolean[] a, int i, boolean v)` | set value from boolean[] using normalized index

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BytecodeInterface8

          public BytecodeInterface8()

  - ### Method Detail

    - #### disabledStandardMetaClass

          public static boolean disabledStandardMetaClass()

    - #### isOrigInt

          public static boolean isOrigInt()

      Returns:
        true if integer has its default MetaClass

    - #### isOrigIntArray

          public static boolean isOrigIntArray()

      Returns:
        true if integer array has its default MetaClass

    - #### intArrayGet

          public static int intArrayGet​(int[] a,
                                        int i)

      get value from int[] using normalized index

    - #### intArraySet

          public static void intArraySet​(int[] a,
                                         int i,
                                         int v)

      set value from int[] using normalized index

    - #### isOrigB

          public static boolean isOrigB()

      Returns:
        true if byte has its default MetaClass

    - #### isOrigBArray

          public static boolean isOrigBArray()

      Returns:
        true if byte array has its default MetaClass

    - #### bArrayGet

          public static byte bArrayGet​(byte[] a,
                                       int i)

      get value from byte[] using normalized index

    - #### bArraySet

          public static void bArraySet​(byte[] a,
                                       int i,
                                       byte v)

      set value from byte[] using normalized index

    - #### isOrigS

          public static boolean isOrigS()

      Returns:
        true if short has its default MetaClass

    - #### isOrigSArray

          public static boolean isOrigSArray()

      Returns:
        true if short array has its default MetaClass

    - #### sArrayGet

          public static short sArrayGet​(short[] a,
                                        int i)

      get value from short[] using normalized index

    - #### sArraySet

          public static void sArraySet​(short[] a,
                                       int i,
                                       short v)

      set value from short[] using normalized index

    - #### isOrigC

          public static boolean isOrigC()

      Returns:
        true if char has its default MetaClass

    - #### isOrigCArray

          public static boolean isOrigCArray()

      Returns:
        true if char array has its default MetaClass

    - #### cArrayGet

          public static char cArrayGet​(char[] a,
                                       int i)

      get value from char[] using normalized index

    - #### cArraySet

          public static void cArraySet​(char[] a,
                                       int i,
                                       char v)

      set value from char[] using normalized index

    - #### isOrigL

          public static boolean isOrigL()

      Returns:
        true if long has its default MetaClass

    - #### isOrigLArray

          public static boolean isOrigLArray()

      Returns:
        true if long array has its default MetaClass

    - #### lArrayGet

          public static long lArrayGet​(long[] a,
                                       int i)

      get value from long[] using normalized index

    - #### lArraySet

          public static void lArraySet​(long[] a,
                                       int i,
                                       long v)

      set value from long[] using normalized index

    - #### isOrigZ

          public static boolean isOrigZ()

      Returns:
        true if boolean has its default MetaClass

    - #### isOrigZArray

          public static boolean isOrigZArray()

      Returns:
        true if boolean array has its default MetaClass

    - #### zArrayGet

          public static boolean zArrayGet​(boolean[] a,
                                          int i)

      get value from boolean[] using normalized index

    - #### zArraySet

          public static void zArraySet​(boolean[] a,
                                       int i,
                                       boolean v)

      set value from boolean[] using normalized index

    - #### isOrigF

          public static boolean isOrigF()

      Returns:
        true if float has its default MetaClass

    - #### isOrigFArray

          public static boolean isOrigFArray()

      Returns:
        true if float array has its default MetaClass

    - #### fArrayGet

          public static float fArrayGet​(float[] a,
                                        int i)

      get value from float[] using normalized index

    - #### fArraySet

          public static void fArraySet​(float[] a,
                                       int i,
                                       float v)

      set value from float[] using normalized index

    - #### isOrigD

          public static boolean isOrigD()

      Returns:
        true if double has its default MetaClass

    - #### isOrigDArray

          public static boolean isOrigDArray()

      Returns:
        true if double array has its default MetaClass

    - #### dArrayGet

          public static double dArrayGet​(double[] a,
                                         int i)

      get value from double[] using normalized index

    - #### dArraySet

          public static void dArraySet​(double[] a,
                                       int i,
                                       double v)

      set value from double[] using normalized index

    - #### objectArrayGet

          public static Object objectArrayGet​(Object[] a,
                                              int i)

    - #### objectArraySet

          public static void objectArraySet​(Object[] a,
                                            int i,
                                            Object v)

      set value from double[] using normalized index